Index: CKEditor/trunk/_source/lang/eo.js
===================================================================
--- CKEditor/trunk/_source/lang/eo.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/eo.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Enmeti Horizonta Linio',
 	pagebreak		: 'Insert Page Break for Printing', // MISSING
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Forigi Ligilon',
 	undo			: 'Malfari',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Larĝo',
+		height			: 'Alto',
+		align			: 'Ĝisrandigo',
+		alignLeft		: 'Maldekstre',
+		alignRight		: 'Dekstre',
+		alignCenter		: 'Centre',
+		alignTop		: 'Supre',
+		alignMiddle		: 'Centre',
+		alignBottom		: 'Malsupre',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Rulumlisteloj',
 		popupDependent	: 'Dependa (Netscape)',
-		popupWidth		: 'Larĝo',
 		popupLeft		: 'Pozicio de Maldekstro',
-		popupHeight		: 'Alto',
 		popupTop		: 'Pozicio de Supro',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'Kolumnoj',
 		border		: 'Bordero',
-		align		: 'Ĝisrandigo',
-		alignLeft	: 'Maldekstre',
-		alignCenter	: 'Centre',
-		alignRight	: 'Dekstre',
-		width		: 'Larĝo',
 		widthPx		: 'Bitbilderoj',
 		widthPc		: 'elcentoj',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Alto',
 		cellSpace	: 'Interspacigo de Ĉeloj',
 		cellPad		: 'Ĉirkaŭenhava Plenigado',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'Alŝuti',
 		alt			: 'Anstataŭiga Teksto',
-		width		: 'Larĝo',
-		height		: 'Alto',
 		lockRatio	: 'Konservi Proporcion',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'HSpaco',
 		vSpace		: 'VSpaco',
-		align		: 'Ĝisrandigo',
-		alignLeft	: 'Maldekstre',
-		alignRight	: 'Dekstre',
 		alertUrl	: 'Bonvolu tajpi la URL de la bildo',
 		linkTab		: 'Link', // MISSING
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'Ĝisrandigo',
-		alignLeft		: 'Maldekstre',
 		alignAbsBottom	: 'Abs Malsupre',
 		alignAbsMiddle	: 'Abs Centre',
 		alignBaseline	: 'Je Malsupro de Teksto',
-		alignBottom		: 'Malsupre',
-		alignMiddle		: 'Centre',
-		alignRight		: 'Dekstre',
 		alignTextTop	: 'Je Supro de Teksto',
-		alignTop		: 'Supre',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'Fona Koloro',
-		width			: 'Larĝo',
-		height			: 'Alto',
 		hSpace			: 'HSpaco',
 		vSpace			: 'VSpaco',
 		validateSrc		: 'Bonvolu entajpi la URL-on',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/es.js
===================================================================
--- CKEditor/trunk/_source/lang/es.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/es.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Insertar Línea Horizontal',
 	pagebreak		: 'Insertar Salto de Página',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Eliminar Vínculo',
 	undo			: 'Deshacer',
@@ -110,4 +111,15 @@
 		styles			: 'Estilos',
 		cssClasses		: 'Clase de la hoja de estilos',
+		width			: 'Anchura',
+		height			: 'Altura',
+		align			: 'Alineación',
+		alignLeft		: 'Izquierda',
+		alignRight		: 'Derecha',
+		alignCenter		: 'Centrado',
+		alignTop		: 'Tope',
+		alignMiddle		: 'Centro',
+		alignBottom		: 'Pie',
+		invalidHeight	: 'Altura debe ser un número.',
+		invalidWidth	: 'Anchura debe ser un número.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Barras de desplazamiento',
 		popupDependent	: 'Dependiente (Netscape)',
-		popupWidth		: 'Anchura',
 		popupLeft		: 'Posición Izquierda',
-		popupHeight		: 'Altura',
 		popupTop		: 'Posición Derecha',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Columnas',
 		border		: 'Tamaño de Borde',
-		align		: 'Alineación',
-		alignLeft	: 'Izquierda',
-		alignCenter	: 'Centrado',
-		alignRight	: 'Derecha',
-		width		: 'Anchura',
 		widthPx		: 'pixeles',
 		widthPc		: 'porcentaje',
 		widthUnit	: 'unidad de la anchura',
-		height		: 'Altura',
 		cellSpace	: 'Esp. e/celdas',
 		cellPad		: 'Esp. interior',
@@ -288,7 +292,4 @@
 			hAlign			: 'Alineación Horizontal',
 			vAlign			: 'Alineación Vertical',
-			alignTop		: 'Arriba',
-			alignMiddle		: 'Medio',
-			alignBottom		: 'Abajo',
 			alignBaseline	: 'Linea de base',
 			bgColor			: 'Color de fondo',
@@ -411,6 +412,4 @@
 		upload		: 'Cargar',
 		alt			: 'Texto Alternativo',
-		width		: 'Anchura',
-		height		: 'Altura',
 		lockRatio	: 'Proporcional',
 		unlockRatio	: 'Desbloquear el proporcional',
@@ -419,7 +418,4 @@
 		hSpace		: 'Esp.Horiz',
 		vSpace		: 'Esp.Vert',
-		align		: 'Alineación',
-		alignLeft	: 'Izquierda',
-		alignRight	: 'Derecha',
 		alertUrl	: 'Por favor escriba la URL de la imagen',
 		linkTab		: 'Vínculo',
@@ -427,6 +423,4 @@
 		img2Button	: '¿Desea convertir la imagen en un botón de imagen?',
 		urlMissing	: 'Debe indicar la URL de la imagen.',
-		validateWidth	: 'La anchura debe ser un número.',
-		validateHeight	: 'La altura debe ser un número.',
 		validateBorder	: 'El borde debe ser un número.',
 		validateHSpace	: 'El espaciado horizontal debe ser un número.',
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Mismo dominio',
 		accessNever		: 'Nunca',
-		align			: 'Alineación',
-		alignLeft		: 'Izquierda',
 		alignAbsBottom	: 'Abs inferior',
 		alignAbsMiddle	: 'Abs centro',
 		alignBaseline	: 'Línea de base',
-		alignBottom		: 'Pie',
-		alignMiddle		: 'Centro',
-		alignRight		: 'Derecha',
 		alignTextTop	: 'Tope del texto',
-		alignTop		: 'Tope',
 		quality			: 'Calidad',
 		qualityBest		: 'La mejor',
@@ -475,11 +463,7 @@
 		flashvars		: 'Opciones',
 		bgcolor			: 'Color de Fondo',
-		width			: 'Anchura',
-		height			: 'Altura',
 		hSpace			: 'Esp.Horiz',
 		vSpace			: 'Esp.Vert',
 		validateSrc		: 'Por favor escriba el vínculo URL',
-		validateWidth	: 'Anchura debe ser un número.',
-		validateHeight	: 'Altura debe ser un número.',
 		validateHSpace	: 'Esp.Horiz debe ser un número.',
 		validateVSpace	: 'Esp.Vert debe ser un número.'
@@ -615,4 +599,13 @@
 		remove				: 'Quitar Div'
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Ancla',
-		flash	: 'Animación flash',
-		div		: 'Salto de página',
-		unknown	: 'Objeto desconocido'
+		anchor		: 'Ancla',
+		flash		: 'Animación flash',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Objeto desconocido'
 	},
 
Index: CKEditor/trunk/_source/lang/et.js
===================================================================
--- CKEditor/trunk/_source/lang/et.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/et.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Sisesta horisontaaljoon',
 	pagebreak		: 'Sisesta lehevahetuskoht',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Eemalda link',
 	undo			: 'Võta tagasi',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Laius',
+		height			: 'Kõrgus',
+		align			: 'Joondus',
+		alignLeft		: 'Vasak',
+		alignRight		: 'Paremale',
+		alignCenter		: 'Kesk',
+		alignTop		: 'Üles',
+		alignMiddle		: 'Keskele',
+		alignBottom		: 'Alla',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Kerimisribad',
 		popupDependent	: 'Sõltuv (Netscape)',
-		popupWidth		: 'Laius',
 		popupLeft		: 'Vasak asukoht',
-		popupHeight		: 'Kõrgus',
 		popupTop		: 'Ülemine asukoht',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'Veerud',
 		border		: 'Joone suurus',
-		align		: 'Joondus',
-		alignLeft	: 'Vasak',
-		alignCenter	: 'Kesk',
-		alignRight	: 'Parem',
-		width		: 'Laius',
 		widthPx		: 'pikslit',
 		widthPc		: 'protsenti',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Kõrgus',
 		cellSpace	: 'Lahtri vahe',
 		cellPad		: 'Lahtri täidis',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'Lae üles',
 		alt			: 'Alternatiivne tekst',
-		width		: 'Laius',
-		height		: 'Kõrgus',
 		lockRatio	: 'Lukusta kuvasuhe',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'H. vaheruum',
 		vSpace		: 'V. vaheruum',
-		align		: 'Joondus',
-		alignLeft	: 'Vasak',
-		alignRight	: 'Paremale',
 		alertUrl	: 'Palun kirjuta pildi URL',
 		linkTab		: 'Link',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'Joondus',
-		alignLeft		: 'Vasak',
 		alignAbsBottom	: 'Abs alla',
 		alignAbsMiddle	: 'Abs keskele',
 		alignBaseline	: 'Baasjoonele',
-		alignBottom		: 'Alla',
-		alignMiddle		: 'Keskele',
-		alignRight		: 'Paremale',
 		alignTextTop	: 'Tekstit üles',
-		alignTop		: 'Üles',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'Tausta värv',
-		width			: 'Laius',
-		height			: 'Kõrgus',
 		hSpace			: 'H. vaheruum',
 		vSpace			: 'V. vaheruum',
 		validateSrc		: 'Palun kirjuta lingi URL',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/eu.js
===================================================================
--- CKEditor/trunk/_source/lang/eu.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/eu.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Txertatu Marra Horizontala',
 	pagebreak		: 'Txertatu Orrialde-jauzia',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Kendu Esteka',
 	undo			: 'Desegin',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Zabalera',
+		height			: 'Altuera',
+		align			: 'Lerrokatu',
+		alignLeft		: 'Ezkerrera',
+		alignRight		: 'Eskuman',
+		alignCenter		: 'Erdian',
+		alignTop		: 'Goian',
+		alignMiddle		: 'Erdian',
+		alignBottom		: 'Behean',
+		invalidHeight	: 'Altuera zenbaki bat izan behar da.',
+		invalidWidth	: 'Zabalera zenbaki bat izan behar da.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Korritze Barrak',
 		popupDependent	: 'Menpekoa (Netscape)',
-		popupWidth		: 'Zabalera',
 		popupLeft		: 'Ezkerreko  Posizioa',
-		popupHeight		: 'Altuera',
 		popupTop		: 'Goiko Posizioa',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Zutabeak',
 		border		: 'Ertzaren Zabalera',
-		align		: 'Lerrokatu',
-		alignLeft	: 'Ezkerrean',
-		alignCenter	: 'Erdian',
-		alignRight	: 'Eskuman',
-		width		: 'Zabalera',
 		widthPx		: 'pixel',
 		widthPc		: 'ehuneko',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Altuera',
 		cellSpace	: 'Gelaxka arteko tartea',
 		cellPad		: 'Gelaxken betegarria',
@@ -288,7 +292,4 @@
 			hAlign			: 'Lerrokatze Horizontala',
 			vAlign			: 'Lerrokatze Bertikala',
-			alignTop		: 'Goian',
-			alignMiddle		: 'Erdian',
-			alignBottom		: 'Behean',
 			alignBaseline	: 'Oinarri-lerroan',
 			bgColor			: 'Fondoaren Kolorea',
@@ -411,6 +412,4 @@
 		upload		: 'Gora Kargatu',
 		alt			: 'Ordezko Testua',
-		width		: 'Zabalera',
-		height		: 'Altuera',
 		lockRatio	: 'Erlazioa Blokeatu',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'HSpace',
 		vSpace		: 'VSpace',
-		align		: 'Lerrokatu',
-		alignLeft	: 'Ezkerrera',
-		alignRight	: 'Eskuman',
 		alertUrl	: 'Mesedez Irudiaren URLa idatzi',
 		linkTab		: 'Esteka',
@@ -427,6 +423,4 @@
 		img2Button	: 'Aukeratutako irudia, irudi botoi batean eraldatu nahi duzu?',
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Domeinu berdinekoak',
 		accessNever		: 'Inoiz ere ez',
-		align			: 'Lerrokatu',
-		alignLeft		: 'Ezkerrera',
 		alignAbsBottom	: 'Abs Behean',
 		alignAbsMiddle	: 'Abs Erdian',
 		alignBaseline	: 'Oinan',
-		alignBottom		: 'Behean',
-		alignMiddle		: 'Erdian',
-		alignRight		: 'Eskuman',
 		alignTextTop	: 'Testua Goian',
-		alignTop		: 'Goian',
 		quality			: 'Kalitatea',
 		qualityBest		: 'Hoberena',
@@ -475,11 +463,7 @@
 		flashvars		: 'Flash Aldagaiak',
 		bgcolor			: 'Atzeko kolorea',
-		width			: 'Zabalera',
-		height			: 'Altuera',
 		hSpace			: 'HSpace',
 		vSpace			: 'VSpace',
 		validateSrc		: 'Mesedez URL esteka idatzi',
-		validateWidth	: 'Zabalera zenbaki bat izan behar da.',
-		validateHeight	: 'Altuera zenbaki bat izan behar da.',
 		validateHSpace	: 'HSpace zenbaki bat izan behar da.',
 		validateVSpace	: 'VSpace zenbaki bat izan behar da.'
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Aingura',
-		flash	: 'Flash Animazioa',
-		div		: 'Orrialde Saltoa',
-		unknown	: 'Objektu ezezaguna'
+		anchor		: 'Aingura',
+		flash		: 'Flash Animazioa',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Objektu ezezaguna'
 	},
 
Index: CKEditor/trunk/_source/lang/fa.js
===================================================================
--- CKEditor/trunk/_source/lang/fa.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/fa.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'گنجاندن خط ِافقی',
 	pagebreak		: 'گنجاندن شکستگی ِپایان ِبرگه',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'برداشتن پیوند',
 	undo			: 'واچیدن',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'پهنا',
+		height			: 'درازا',
+		align			: 'چینش',
+		alignLeft		: 'چپ',
+		alignRight		: 'راست',
+		alignCenter		: 'وسط',
+		alignTop		: 'بالا',
+		alignMiddle		: 'وسط',
+		alignBottom		: 'پائین',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'میلههای پیمایش',
 		popupDependent	: 'وابسته (Netscape)',
-		popupWidth		: 'پهنا',
 		popupLeft		: 'موقعیت ِچپ',
-		popupHeight		: 'درازا',
 		popupTop		: 'موقعیت ِبالا',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'ستونها',
 		border		: 'اندازهٴ لبه',
-		align		: 'چینش',
-		alignLeft	: 'چپ',
-		alignCenter	: 'وسط',
-		alignRight	: 'راست',
-		width		: 'پهنا',
 		widthPx		: 'پیکسل',
 		widthPc		: 'درصد',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'درازا',
 		cellSpace	: 'فاصلهٴ میان سلولها',
 		cellPad		: 'فاصلهٴ پرشده در سلول',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'انتقال به سرور',
 		alt			: 'متن جایگزین',
-		width		: 'پهنا',
-		height		: 'درازا',
 		lockRatio	: 'قفلکردن ِنسبت',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'فاصلهٴ افقی',
 		vSpace		: 'فاصلهٴ عمودی',
-		align		: 'چینش',
-		alignLeft	: 'چپ',
-		alignRight	: 'راست',
 		alertUrl	: 'لطفا URL تصویر را بنویسید',
 		linkTab		: 'پیوند',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'چینش',
-		alignLeft		: 'چپ',
 		alignAbsBottom	: 'پائین مطلق',
 		alignAbsMiddle	: 'وسط مطلق',
 		alignBaseline	: 'خطپایه',
-		alignBottom		: 'پائین',
-		alignMiddle		: 'وسط',
-		alignRight		: 'راست',
 		alignTextTop	: 'متن بالا',
-		alignTop		: 'بالا',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'رنگ پسزمینه',
-		width			: 'پهنا',
-		height			: 'درازا',
 		hSpace			: 'فاصلهٴ افقی',
 		vSpace			: 'فاصلهٴ عمودی',
 		validateSrc		: 'لطفا URL پیوند را بنویسید',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/fi.js
===================================================================
--- CKEditor/trunk/_source/lang/fi.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/fi.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Lisää murtoviiva',
 	pagebreak		: 'Lisää sivun vaihto',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Poista linkki',
 	undo			: 'Kumoa',
@@ -110,4 +111,15 @@
 		styles			: 'Tyyli',
 		cssClasses		: 'Tyylitiedoston luokat',
+		width			: 'Leveys',
+		height			: 'Korkeus',
+		align			: 'Kohdistus',
+		alignLeft		: 'Vasemmalle',
+		alignRight		: 'Oikealle',
+		alignCenter		: 'Keskelle',
+		alignTop		: 'Ylös',
+		alignMiddle		: 'Keskelle',
+		alignBottom		: 'Alas',
+		invalidHeight	: 'Korkeuden täytyy olla numero.',
+		invalidWidth	: 'Leveyden täytyy olla numero.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Vierityspalkit',
 		popupDependent	: 'Riippuva (Netscape)',
-		popupWidth		: 'Leveys',
 		popupLeft		: 'Vasemmalta (px)',
-		popupHeight		: 'Korkeus',
 		popupTop		: 'Ylhäältä (px)',
 		id				: 'Tunniste',
@@ -244,13 +254,7 @@
 		columns		: 'Sarakkeet',
 		border		: 'Rajan paksuus',
-		align		: 'Kohdistus',
-		alignLeft	: 'Vasemmalle',
-		alignCenter	: 'Keskelle',
-		alignRight	: 'Oikealle',
-		width		: 'Leveys',
 		widthPx		: 'pikseliä',
 		widthPc		: 'prosenttia',
 		widthUnit	: 'leveysyksikkö',
-		height		: 'Korkeus',
 		cellSpace	: 'Solujen väli',
 		cellPad		: 'Solujen sisennys',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horisontaali kohdistus',
 			vAlign			: 'Vertikaali kohdistus',
-			alignTop		: 'Ylös',
-			alignMiddle		: 'Keskelle',
-			alignBottom		: 'Alas',
 			alignBaseline	: 'Alas (teksti)',
 			bgColor			: 'Taustan väri',
@@ -411,6 +412,4 @@
 		upload		: 'Lisää kuva',
 		alt			: 'Vaihtoehtoinen teksti',
-		width		: 'Leveys',
-		height		: 'Korkeus',
 		lockRatio	: 'Lukitse suhteet',
 		unlockRatio	: 'Vapauta suhteet',
@@ -419,7 +418,4 @@
 		hSpace		: 'Vaakatila',
 		vSpace		: 'Pystytila',
-		align		: 'Kohdistus',
-		alignLeft	: 'Vasemmalle',
-		alignRight	: 'Oikealle',
 		alertUrl	: 'Kirjoita kuvan osoite (URL)',
 		linkTab		: 'Linkki',
@@ -427,6 +423,4 @@
 		img2Button	: 'Haluatko muuntaa valitun kuvan kuvanäppäimeksi?',
 		urlMissing	: 'Kuvan lähdeosoite puuttuu.',
-		validateWidth	: 'Leveyden täytyy olla kokonaisluku.',
-		validateHeight	: 'Korkeuden täytyy olla kokonaisluku.',
 		validateBorder	: 'Kehyksen täytyy olla kokonaisluku.',
 		validateHSpace	: 'HSpace-määrityksen täytyy olla kokonaisluku.',
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Sama verkkotunnus',
 		accessNever		: 'Ei koskaan',
-		align			: 'Kohdistus',
-		alignLeft		: 'Vasemmalle',
 		alignAbsBottom	: 'Aivan alas',
 		alignAbsMiddle	: 'Aivan keskelle',
 		alignBaseline	: 'Alas (teksti)',
-		alignBottom		: 'Alas',
-		alignMiddle		: 'Keskelle',
-		alignRight		: 'Oikealle',
 		alignTextTop	: 'Ylös (teksti)',
-		alignTop		: 'Ylös',
 		quality			: 'Laatu',
 		qualityBest		: 'Paras',
@@ -475,11 +463,7 @@
 		flashvars		: 'Muuttujat Flash:lle',
 		bgcolor			: 'Taustaväri',
-		width			: 'Leveys',
-		height			: 'Korkeus',
 		hSpace			: 'Vaakatila',
 		vSpace			: 'Pystytila',
 		validateSrc		: 'Linkille on kirjoitettava URL',
-		validateWidth	: 'Leveyden täytyy olla numero.',
-		validateHeight	: 'Korkeuden täytyy olla numero.',
 		validateHSpace	: 'Vaakatilan täytyy olla numero.',
 		validateVSpace	: 'Pystytilan täytyy olla numero.'
@@ -615,4 +599,13 @@
 		remove				: 'Poista Div'
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Ankkuri',
-		flash	: 'Flash animaatio',
-		div		: 'Sivun vaihto',
-		unknown	: 'Tuntematon objekti'
+		anchor		: 'Ankkuri',
+		flash		: 'Flash animaatio',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Tuntematon objekti'
 	},
 
Index: CKEditor/trunk/_source/lang/fo.js
===================================================================
--- CKEditor/trunk/_source/lang/fo.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/fo.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Ger vatnrætta linju',
 	pagebreak		: 'Ger síðuskift',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Strika tilknýti',
 	undo			: 'Angra',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Breidd',
+		height			: 'Hædd',
+		align			: 'Justering',
+		alignLeft		: 'Vinstra',
+		alignRight		: 'Høgra',
+		alignCenter		: 'Miðsett',
+		alignTop		: 'Ovast',
+		alignMiddle		: 'Miðja',
+		alignBottom		: 'Botnur',
+		invalidHeight	: 'Hædd má vera eitt tal.',
+		invalidWidth	: 'Breidd má vera eitt tal.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Rullibjálki',
 		popupDependent	: 'Bundið (Netscape)',
-		popupWidth		: 'Breidd',
 		popupLeft		: 'Frástøða frá vinstru',
-		popupHeight		: 'Hædd',
 		popupTop		: 'Frástøða frá íerva',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'Kolonnur',
 		border		: 'Bordabreidd',
-		align		: 'Justering',
-		alignLeft	: 'Vinstrasett',
-		alignCenter	: 'Miðsett',
-		alignRight	: 'Høgrasett',
-		width		: 'Breidd',
 		widthPx		: 'pixels',
 		widthPc		: 'prosent',
 		widthUnit	: 'breiddar unit',
-		height		: 'Hædd',
 		cellSpace	: 'Fjarstøða millum meskar',
 		cellPad		: 'Meskubreddi',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horisontal plasering',
 			vAlign			: 'Loddrøtt plasering',
-			alignTop		: 'Top',
-			alignMiddle		: 'Miðja',
-			alignBottom		: 'Botnur',
 			alignBaseline	: 'Basislinja',
 			bgColor			: 'Bakgrundslitur',
@@ -411,6 +412,4 @@
 		upload		: 'Send',
 		alt			: 'Alternativur tekstur',
-		width		: 'Breidd',
-		height		: 'Hædd',
 		lockRatio	: 'Læs lutfallið',
 		unlockRatio	: 'Lutfallið ikki læst',
@@ -419,7 +418,4 @@
 		hSpace		: 'Høgri breddi',
 		vSpace		: 'Vinstri breddi',
-		align		: 'Justering',
-		alignLeft	: 'Vinstra',
-		alignRight	: 'Høgra',
 		alertUrl	: 'Rita slóðina til myndina',
 		linkTab		: 'Tilknýti',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'URL til mynd manglar.',
-		validateWidth	: 'Breidd má vera eitt heiltal.',
-		validateHeight	: 'Hædd má vera eitt heiltal.',
 		validateBorder	: 'Bordi má vera eitt heiltal.',
 		validateHSpace	: 'HSpace má vera eitt heiltal.',
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Sama navnaøki',
 		accessNever		: 'Ongantíð',
-		align			: 'Justering',
-		alignLeft		: 'Vinstra',
 		alignAbsBottom	: 'Abs botnur',
 		alignAbsMiddle	: 'Abs miðja',
 		alignBaseline	: 'Basislinja',
-		alignBottom		: 'Botnur',
-		alignMiddle		: 'Miðja',
-		alignRight		: 'Høgra',
 		alignTextTop	: 'Tekst toppur',
-		alignTop		: 'Ovast',
 		quality			: 'Góðska',
 		qualityBest		: 'Besta',
@@ -475,11 +463,7 @@
 		flashvars		: 'Variablar fyri Flash',
 		bgcolor			: 'Bakgrundslitur',
-		width			: 'Breidd',
-		height			: 'Hædd',
 		hSpace			: 'Høgri breddi',
 		vSpace			: 'Vinstri breddi',
 		validateSrc		: 'Vinarliga skriva tilknýti (URL)',
-		validateWidth	: 'Breidd má vera eitt tal.',
-		validateHeight	: 'Hædd má vera eitt tal.',
 		validateHSpace	: 'HSpace má vera eitt tal.',
 		validateVSpace	: 'VSpace má vera eitt tal.'
@@ -615,4 +599,13 @@
 		remove				: 'Strika Div'
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Síðuskift',
-		unknown	: 'Ókent Object'
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Ókent Object'
 	},
 
